/**************************************************************************
 * LPRng IFHP Filter
 * Copyright 1994-1999 Patrick Powell, San Diego, CA <papowell@astart.com>
 **************************************************************************/
/**** HEADER *****/
static char *const _id = "$Id: vars.c,v 1.22 2002/01/30 14:34:20 papowell Exp papowell $";

#define EXTERN
#define DEF
#define DEFINE(X) X
#include "ifhp.h"

/**** ENDINCLUDE ****/

struct keyvalue Valuelist[] = {

    {  "Accounting_info", "accounting_info", &Accounting_info, STRV  },
    {  "Accounting_script", "accounting", &Accounting_script, STRV  },
    {  "Appsocket", "appsocket", (char **)&Appsocket, FLGV  },
    {  "Autodetect", "autodetect", (char **)&Autodetect, FLGV },
    {  "Close_connection", "close_connection", (char **)&Close_connection, FLGV },
    {  "Crlf", "crlf", (char **)&Crlf, FLGV },
    {  "Dev_retries", "dev_retries", (char **)&Dev_retries, INTV },
    {  "Dev_sleep", "dev_sleep", (char **)&Dev_sleep, INTV },
    {  "Device", "dev", &Device, STRV },
    {  "End_status", "end_status", &End_status, STRV },
    {  "Force_status", "forcestatus", (char **)&Force_status, FLGV },
    {  "Force_conversion", "forceconversion", (char **)&Force_conversion, FLGV },
    {  "Force_processing", "forceprocessing", (char **)&Force_processing, FLGV }, 
    {  "Full_time", "fulltime", (char **)&Full_time, FLGV },
    {  "Initial_timeout", "initial_timeout", (char **)&Initial_timeout, INTV },
    {  "Ignore_eof", "ignore_eof", (char **)&Ignore_eof, FLGV },
    {  "Job_timeout", "job_timeout", (char **)&Job_timeout, INTV },
    {  "Logall", "logall", (char **)&Logall, FLGV },
    {  "Max_status_size", "statusfile_max", (char **)&Max_status_size, INTV },
    {  "Min_status_size", "statusfile_min", (char **)&Min_status_size, INTV },
    {  "Null_pad_count", "nullpad", (char **)&Null_pad_count, INTV },
    {  "Pcl_eoj_at_start", "pcl_eoj_at_start", (char **)&Pcl_eoj_at_start, FLGV },
    {  "Ps_eoj_at_start", "ps_eoj_at_start", (char **)&Ps_eoj_at_start, FLGV },
    {  "No_udp_monitor", "no_udp_monitor", (char **)&No_udp_monitor, FLGV },
    {  "Pagecount", "pagecount", &Pagecount, STRV },
    {  "Pagecount_interval", "pagecount_interval", (char **)&Pagecount_interval, INTV },
    {  "Pagecount_poll", "pagecount_poll", (char **)&Pagecount_poll, INTV },
    {  "Pagecount_end", "pagecount_end", (char **)&Pagecount_end, FLGV },
    {  "Pagecount_start", "pagecount_start", (char **)&Pagecount_start, FLGV },
    {  "Pagecount_timeout", "pagecount_timeout", (char **)&Pagecount_timeout, INTV },
    {  "Pcl", "pcl", (char **)&Pcl, FLGV },
    {  "Pjl", "pjl", (char **)&Pjl, FLGV },
    {  "Pjl_console", "pjl_console", (char **)&Pjl_console, FLGV },
    {  "Pjl_display_size", "pjl_display_size", (char **)&Pjl_display_size, INTV },
    {  "Pjl_enter", "pjl_enter", (char **)&Pjl_enter, FLGV },
    {  "Pjl_ready_msg", "pjl_ready_msg", &Pjl_ready_msg, STRV  },
    {  "Pjl_done_msg", "pjl_done_msg", &Pjl_done_msg, STRV  },
    {  "Ps", "ps", (char **)&Ps, FLGV },
    {  "Ps_pagecount_code", "ps_pagecount_code", &Ps_pagecount_code, STRV },
    {  "Ps_status_code", "ps_status_code", &Ps_status_code, STRV },
    {  "Ps_ctrl_t", "ps_ctrl_t", (char **)&Ps_ctrl_t, FLGV },
    {  "Psonly", "psonly", (char **)&Psonly, FLGV },
    {  "Qms", "qms", (char **)&Qms, FLGV  },
    {  "Remove_ctrl", "remove_ctrl", &Remove_ctrl, STRV  },
    {  "Remove_pjl_at_start", "remove_pjl_at_start", (char **)&Remove_pjl_at_start, FLGV  },
    {  "Status", "status", (char **)&Status, FLGV },
    {  "Stty_args", "stty", &Stty_args, STRV },
    {  "Sync", "sync", &Sync, STRV },
    {  "Sync_interval", "sync_interval", (char **)&Sync_interval, INTV },
    {  "Sync_timeout", "sync_timeout", (char **)&Sync_timeout, INTV },
    {  "Tbcp", "tbcp", (char **)&Tbcp, FLGV },
    {  "Text", "text", (char **)&Text, FLGV },
    {  "Trace_on_stderr", "trace", (char **)&Trace_on_stderr, FLGV },
    {  "Wait_for_banner_page", "wait_for_banner", (char **)&Wait_for_banner, FLGV },
    {  "Waitend", "waitend", &Waitend, STRV },
    {  "Waitend_ctrl_t_interval", "waitend_ctrl_t_interval", (char **)&Waitend_ctrl_t_interval, INTV },
    {  "Waitend_interval", "waitend_interval", (char **)&Waitend_interval, INTV },

    { 0, 0, 0 }
};
